EL 2.2 - Apache Tomcat 7.0.42

## javax.el
Class ListELResolver

    java.lang.Object
      javax.el.ELResolver
          javax.el.ListELResolver

    public class ListELResolver

extends ELResolver

Field Summary

Fields inherited from class javax.el.ELResolver
`RESOLVABLE_AT_DESIGN_TIME, TYPE`

Constructor Summary
`ListELResolver()`
`ListELResolver(boolean readOnly)`

Method Summary
`java.lang.Class<?>` `getCommonPropertyType(ELContext context, java.lang.Object base)`
`java.util.Iterator<java.beans.FeatureDescriptor>` `getFeatureDescriptors(ELContext context, java.lang.Object base)`
`java.lang.Class<?>` `getType(ELContext context, java.lang.Object base, java.lang.Object property)`
`java.lang.Object` `getValue(ELContext context, java.lang.Object base, java.lang.Object property)`
`boolean` `isReadOnly(ELContext context, java.lang.Object base, java.lang.Object property)`
`void` `setValue(ELContext context, java.lang.Object base, java.lang.Object property, java.lang.Object value)`

Methods inherited from class javax.el.ELResolver
`invoke`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListELResolver

    public ListELResolver()

### ListELResolver

    public ListELResolver(boolean readOnly)

Method Detail

### getValue

    public java.lang.Object getValue(ELContext context,
                                     java.lang.Object base,
                                     java.lang.Object property)
                              throws java.lang.NullPointerException,
                                     PropertyNotFoundException,
                                     ELException

  Specified by:
    `getValue` in class `ELResolver`
  Throws:
    `java.lang.NullPointerException`
    `PropertyNotFoundException`
    `ELException`

### getType

    public java.lang.Class<?> getType(ELContext context,
                                      java.lang.Object base,
                                      java.lang.Object property)
                               throws java.lang.NullPointerException,
                                      PropertyNotFoundException,
                                      ELException

  Specified by:
    `getType` in class `ELResolver`
  Throws:
    `java.lang.NullPointerException`
    `PropertyNotFoundException`
    `ELException`

### setValue

    public void setValue(ELContext context,
                         java.lang.Object base,
                         java.lang.Object property,
                         java.lang.Object value)
                  throws java.lang.NullPointerException,
                         PropertyNotFoundException,
                         PropertyNotWritableException,
                         ELException

  Specified by:
    `setValue` in class `ELResolver`
  Throws:
    `java.lang.NullPointerException`
    `PropertyNotFoundException`
    `PropertyNotWritableException`
    `ELException`

### isReadOnly

    public boolean isReadOnly(ELContext context,
                              java.lang.Object base,
                              java.lang.Object property)
                       throws java.lang.NullPointerException,
                              PropertyNotFoundException,
                              ELException

  Specified by:
    `isReadOnly` in class `ELResolver`
  Throws:
    `java.lang.NullPointerException`
    `PropertyNotFoundException`
    `ELException`

### getFeatureDescriptors

    public java.util.Iterator<java.beans.FeatureDescriptor> getFeatureDescriptors(ELContext context,
                                                                                  java.lang.Object base)

  Specified by:
    `getFeatureDescriptors` in class `ELResolver`

### getCommonPropertyType

    public java.lang.Class<?> getCommonPropertyType(ELContext context,
                                                    java.lang.Object base)

  Specified by:
    `getCommonPropertyType` in class `ELResolver`

EL 2.2 - Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.